import { useGlobalIconFont } from './components/iconfont/helper'
export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/order/index',
    'pages/shopping/index',
    'pages/searchPage/index',
    'pages/customerPage/index',
    'pages/saleuserPage/index',
    'pages/user/index'
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
    backgroundColor: '#ffffff',
  },
  tabBar: {
    custom: true,
    list: [
      {
        pagePath: 'pages/index/index',
        text: '首页',
      },
      {
        pagePath: 'pages/shopping/index',
        text: '购物',
      },
      {
        pagePath: 'pages/order/index',
        text: '订单',
      },
      {
        pagePath: 'pages/user/index',
        text: '我的',
      },
    ],
    color: '#707070',
    selectedColor: '#2680EB',
    backgroundColor: '#fff',
    borderStyle: 'white',
  },
  usingComponents: {
    'custom-wrapper': '/custom-wrapper',
    ...useGlobalIconFont(),
  },
  subPackages: [],
})
